{% set cart = cart() %}
<button class="btn btn-primary toggle-cart">{{ 'comsa_sulu_shopping_cart.show_shopping_cart'|trans }}</button>
<div class="cart-small" style="display: none;">
  <div class="shopping-cart-title-wrapper">
    <strong>{{ 'comsa_sulu_shopping_cart.shopping_cart'|trans }}</strong>
  </div>
  {% if cart.items|length > 0 %}
    <table class="table">
      <thead>
      <tr>
        <th>{{ 'comsa_sulu_shopping_cart.product'|trans }}</th>
        <th>x</th>
        <th>{{ 'comsa_sulu_shopping_cart.total'|trans }}</th>
        <th></th>
      </tr>
      </thead>
      <tbody>
      {% for item in cart.items %}
        <tr>
          <td>{{ item.title }}</td>
          <td>{{ item.quantity }}</td>
          <td>{{ item.total|price }}</td>
          <td><a href="{{ path('comsa_sulu_shopping_cart_delete_item', {'id': item.id}) }}" class="text-danger"><i class="fas fa-trash"></i></a></td>
        </tr>
      {% endfor %}
      </tbody>
      <tfoot>
      {% if cart.shippingMethod %}
        <tr>
          <th colspan="2" class="text-right">{{ 'comsa_sulu_shopping_cart.shipping'|trans }} ({{ cart.shippingMethod.name }})</th>
          <td colspan="2">{{ cart.shippingMethod.price|price }}</td>
        </tr>
      {% endif %}
      {% if cart.paymentMethod %}
        <tr>
          <th colspan="2" class="text-right">{{ 'comsa_sulu_shopping_cart.payment_method'|trans }} ({{ cart.paymentMethod.name }})</th>
          <td colspan="2">{{ cart.paymentMethod.price|price }}</td>
        </tr>
      {% endif %}
      <tr>
        <th colspan="2" class="text-right">{{ 'comsa_sulu_shopping_cart.total'|trans }}</th>
        <td colspan="2">{{ cart.total|price }}</td>
      </tr>
      </tfoot>
    </table>
    <a href="{{ path('comsa_sulu_shopping_cart') }}" class="btn btn-primary">{{ 'comsa_sulu_shopping_cart.go_to_shopping_cart'|trans }}</a>
  {% else %}
    <p>{{ 'comsa_sulu_shopping_cart.cart_is_empty'|trans }}</p>
  {% endif %}
</div>
